=== debian/changelog ===
puppetserver (7.9.5-2+deb12u1) bookworm; urgency=medium

  * ship cronjob to clean up reportdir automatically (Closes: #1078911,
    #1080489)

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 05 Sep 2024 21:30:33 -0400

puppetserver (7.9.5-2) unstable; urgency=medium

  * abort service start/reload if mainpid dies (Closes: #1032241)
  * add patch fixing CVE-2023-1894 (Closes: #1035541)

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 07 May 2023 11:09:17 -0400

puppetserver (7.9.5-1) unstable; urgency=medium

  * New upstream version 7.9.5
  * remove ahead-of-time compilation of clojure classes
  * d/rules: reenable dh_strip_nondeterminism
  * d/rules: add missing jars on classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 09 Feb 2023 21:11:26 -0500

puppetserver (7.9.4-2) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/rules, d/manpages: add manpages.

  [ Jérôme Charaoui ]
  * fix start/stop/reload cli subcommands
  * d/control:
    + use headless jdk in build-deps
    + tighten clojure build-dep which provides 1.x
    - drop obsolete libcomplete build-dep
  * d/patches: drop dependency version overrides
  * d/patches: drop misleading dropsonde config section
  * d/rules: add aot clojure packages to binary deps
  * generate tighter binary deps from package list
  * add README.Debian and README.source

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 08 Feb 2023 14:07:38 -0500

puppetserver (7.9.4-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Do not Recommends: puppet-module-puppetlabs-zfs-core that isn't in Debian.

  [ Antoine Beaupré ]
  * only restart on abormal failure conditions

  [ Jérôme Charaoui ]
  * New upstream version 7.9.4
  * d/control:
    + tighten clojure binary Depends: (Closes: #1030039)
    + use default-jre-headless in binary Depends
  * d/patches: ssldir patch not needed anymore
  * d/tests:
    + add logs to autopkgtest artifacts
    + improve test descriptions
  * d/control: use default-jre-headless in binary Depends
  * d/patches: ssldir patch not needed anymore

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 30 Jan 2023 14:47:36 -0500

puppetserver (7.9.3-3) unstable; urgency=medium

  * d/control: build transitional packages (Closes: #1028333)
  * d/control: change section from java to admin
  * d/rules: do not enable service upon installation
  * sync systemd service unit status with internal state
  * fix puppetserver subcommands
  * add missing cli subcommands
  * add jruby lib path to java arguments
  * add appropriate lintian overrides
  * improve autopkgtests using ruby-serverspec

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 23 Jan 2023 12:50:03 -0500

puppetserver (7.9.3-2) unstable; urgency=medium

  * tighten binary Depends: on ruby gems (Closes: #1029299)
  * d/control:
    + tighten hocon and puppet dependencies
    + add ruby to binary Depends:
    + improve package Description
    + fix silent crashes caused by old i18n lib
    + recommend puppetlabs core modules
    - ring-mock only needed for testsuite
    - remove nocheck flag from some Build-Deps
  * d/rules: remove versioned symlink for test jar
  * fix puppetserver binary missing its subcommand scripts

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 22 Jan 2023 11:21:53 -0500

puppetserver (7.9.3-1) unstable; urgency=medium

  * New upstream version 7.9.3
  * d/copyright: add myself to copyright for debian/*
  * d/control:
    + rework all dependencies (Closes: #1028327)
    + add missing dependency puppet-resource_api
    + add myself to Uploaders
    - remove unused package puppetserver-test
  * d/patches:
    + rebase for new upstream version
    + patch out optional test dependency
    + add upstream java17 compat patch for test
    + add jruby stdlib load_path patch
    + adapt ssldir in puppet.conf test fixtures
    + add RUBYLIB fix for autosign script
    + add patch to fix unknown symbol in tests
    + add patch fixing java17 io warnings in tests
    + add patch to adapt jruby test for debian
    + add patch to disable analytics services
    + change puppetlabs paths to Debian paths
    + remove symlink-cadir from ca init
  * d/rules:
    + build with leiningen
    + install vendored gems from tarball component
    + run full testsuite at build-time (Closes: #1028332)
    - drop maven_repo_helper
  * d/tests: add basic autopkgtest
  * bundle concurrent-ruby 1.1.5 due to version requirement
  * ship config files, binary (Closes: #1028334)
  * ship systemd service unit
  * ship README in docs

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 18 Jan 2023 18:03:57 -0500

puppetserver (6.18.0-2) experimental; urgency=medium

  * d/patches/0001: override Java restriction.
  * d/control: add new B-D that were previously taken care of by
    jruby-utils-clojure.
  * d/control: temporary B-D on junit5. This commit should be reverted once
    #1028024 has been closed.
  * d/control: Standards-Version update to 4.6.2. No changes.
  * d/rules: remove the dh_strip_nondeterminism override, it's not needed
    anymore.
  * d/control: temporary version restriction on libjson-simple-java, as the
    version in experimental break puppetserver.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 06 Jan 2023 15:36:48 -0500

puppetserver (6.18.0-1) unstable; urgency=medium

  * New upstream version.
  * d/gbp.conf: create.
  * d/patches: refresh 0001.
  * d/control: replace liburl-clojure by liblambdaisland-uri-clojure.
  * d/control: pin a new version of libssl-utils-clojure, as this version
    requires it to run.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 13 Feb 2022 22:24:25 -0500

puppetserver (6.14.1-3) unstable; urgency=medium

  * d/control: remove redundant build-dependency.
  * d/copyright: update debian/* date.
  * d/copyright: fix Apache entry.
  * d/control: Standards-Version update to 4.6.0. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 13 Feb 2022 13:14:50 -0500

puppetserver (6.14.1-2) unstable; urgency=medium


