=== debian/control ===
Source: puppetserver
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@alioth-lists.debian.net>
Uploaders:
 Louis-Philippe Véronneau <pollo@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 facter (>= 4.0.44),
 hiera (>= 3.3.2),
 javahelper,
 leiningen,
 libbeckon-clojure,
 libclj-time-clojure (>= 0.15.2),
 libclojure-java (>= 1.11.1-2),
 libcomidi-clojure,
 libcommons-exec-java,
 libcommons-io-java (>= 2.8.0),
 libcommons-lang-java,
 libdujour-version-check-clojure,
 libjruby-utils-clojure (>= 4.0.3-3),
 libjson-simple-java (<= 3.0),
 libkitchensink-clojure (>= 3.2.1),
 liblambdaisland-uri-clojure,
 libliberator-clojure,
 libprismatic-schema-clojure (>= 1.1.12),
 libpuppetlabs-http-client-clojure (>= 2.1.0),
 libpuppetlabs-i18n-clojure (>= 0.9.2-2),
 libpuppetlabs-ring-middleware-clojure (>= 1.3.1-3),
 libraynes-fs-clojure (>= 1.5.2),
 libring-basic-authentication-clojure,
 libring-mock-clojure <!nocheck>,
 libsemver-clojure,
 libshell-utils-clojure (>= 1.0.2-3),
 libslingshot-clojure,
 libssl-utils-clojure (>= 3.5.0-2),
 libtools-namespace-clojure,
 libtrapperkeeper-authorization-clojure (>= 1.0.0-3),
 libtrapperkeeper-clojure (>= 3.2.0-2),
 libtrapperkeeper-comidi-metrics-clojure,
 libtrapperkeeper-filesystem-watcher-clojure (>= 1.2.2-3),
 libtrapperkeeper-metrics-clojure (>= 1.5.0-3),
 libtrapperkeeper-scheduler-clojure (>= 1.1.3-7),
 libtrapperkeeper-status-clojure (>= 1.1.1-3),
 libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4),
 libyaml-snake-java (>= 1.33),
 maven-repo-helper,
 python3-docutils,
 puppet-agent (>= 7.22.0-2),
 rename,
 ruby-deep-merge,
 ruby-fast-gettext,
 ruby-gettext,
 ruby-hocon (>= 1.3.1-2),
 ruby-locale,
 ruby-puppet-resource-api (>= 1.8.14),
 ruby-puppetserver-ca-cli (>= 2.3.6),
 ruby-semantic-puppet,
 ruby-text (>= 1.3.1),
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/puppet-team/puppetserver.git
Vcs-Browser: https://salsa.debian.org/puppet-team/puppetserver
Homepage: https://github.com/puppetlabs/puppetserver
Rules-Requires-Root: no

Package: puppetserver
Architecture: all
Depends:
 default-jre-headless,
 facter (>= 4.0.44),
 hiera (>= 3.3.2),
 jruby,
 libcomidi-clojure (>= 0.3.2),
 libcommons-io-java (>= 2.8.0),
 libjruby-utils-clojure (>= 4.0.3),
 libkitchensink-clojure (>= 3.2.0),
 libprismatic-schema-clojure (>= 1.1.12),
 libpuppetlabs-http-client-clojure (>= 2.1.0),
 libpuppetlabs-i18n-clojure (>= 0.9.2),
 libpuppetlabs-ring-middleware-clojure (>= 1.3.1),
 libtrapperkeeper-authorization-clojure (>= 1.0.0-2),
 libtrapperkeeper-clojure (>= 3.1.0),
 libtrapperkeeper-metrics-clojure (>= 1.5.0),
 libtrapperkeeper-webserver-jetty9-clojure (>= 4.1.0-2),
 libraynes-fs-clojure (>= 1.5.2),
 libssl-utils-clojure (>= 3.5.0),
 libyaml-snake-java (>= 1.33),
 puppet-agent (>= 7.21.0-2),
 ruby,
 ruby-puppet-resource-api (>= 1.8.14),
 ${rubyDepends},
 ${java:Depends},
 ${misc:Depends},
Recommends:
 puppet-module-puppetlabs-augeas-core,
 puppet-module-puppetlabs-cron-core,
 puppet-module-puppetlabs-host-core,
 puppet-module-puppetlabs-mount-core,
 puppet-module-puppetlabs-selinux-core,
 puppet-module-puppetlabs-sshkeys-core,
Description: configuration management system, server
 Puppet is a configuration management system that allows you to define the
 state of your IT infrastructure, then automatically enforces the correct
 state.
 .
 This package contains the Ruby/Clojure server component which compiles
 configurations for a fleet of Puppet agent nodes. This implementation
 replaces the previous Ruby-only implementation known as Puppet Master.

Package: puppet-master
Section: oldlibs
Architecture: all
Depends: puppetserver
Description: configuration management system, transitional package
 Puppet is a configuration management system that allows you to define the
 state of your IT infrastructure, then automatically enforces the correct
 state.
 .
 This is a transitional package provided to handle the transition from
 puppet-master to the puppetserver package. It can be safely removed.

Package: puppet-master-passenger
Section: oldlibs
Architecture: all
Depends: puppetserver
Description: configuration management system, transitional package
 Puppet is a configuration management system that allows you to define the
 state of your IT infrastructure, then automatically enforces the correct
 state.
 .
 This is a transitional package provided to handle the transition from
 puppet-master-passenger to the puppetserver package. It can be safely removed.
