=== debian/tests/control ===
Tests: serverspec
Depends:
 curl,
 puppet-module-puppetlabs-host-core,
 puppetserver,
 ruby-serverspec,
Restrictions: isolation-container, needs-root
