## puppetserver 8.4.0

=== debian/changelog ===
puppetserver (8.4.0-7) unstable; urgency=medium

  * Rebuild for ruby-puppetserver-ca-cli update.

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 05 Sep 2024 09:09:34 -0400

puppetserver (8.4.0-6) unstable; urgency=medium

  * d/patches: add patch to regenerate ca test certs (Closes: #1078635)
  * Remove constraints unnecessary since bullseye (oldstable)
  * remove cron job to delete old reports

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 05 Sep 2024 09:09:17 -0400

puppetserver (8.4.0-5) unstable; urgency=medium

  * Add debian/puppetserver.cron.daily to clean-up reports (Closes: #1078911).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 11:21:52 +0200

puppetserver (8.4.0-4) unstable; urgency=medium

  * Rebuild for ruby-gettext update (Closes: #1077156)
  * d/rules: fix ftbfs in reproducible builds

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 27 Jul 2024 10:42:16 -0400

puppetserver (8.4.0-3) unstable; urgency=medium

  * d/patches: fix typo in patch description
  * d/tests: limit autopkgtests to amd64 and arm64

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 17 Mar 2024 15:32:03 -0400

puppetserver (8.4.0-2) unstable; urgency=medium

  * d/rules: don't hardcode jruby gem names
  * d/tests: add 'puppetserver ca' spec

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 15 Mar 2024 20:50:21 -0400

puppetserver (8.4.0-1) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * d/rules: cleanup unused clojureAotDepends substvar

  [ Louis-Philippe Véronneau ]
  * update puppetserver-ca manpage

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 01 Mar 2024 18:08:21 -0500

puppetserver (8.4.0-1~exp1) experimental; urgency=medium

  [ Jérôme Charaoui ]
  * New upstream version 8.4.0
  * un-bundle concurrent-ruby gem
  * d/control:
    - drop hiera 3 dependency
    - drop direct facter dependency
    - remove puppet-module-*-core Recommends
    + bump puppet-agent dependency to 8
    + update clojure library dependencies
    + add binary depends on procps (Closes: #1050389)
  * d/patches:
    - drop patch merged upstream
    + refresh patches for new upstream version
    + add patch to switch back to jetty9
    + resolve ftbfs with java 21
  * d/rules:
    - drop clj-yaml from classpath
    - drop hiera 3 gem from test environment
  * d/tests:
    + fix gem list test
    + add test for access log
    + add regression test for #1063568
  * workaround for non-C locales (Closes: #1063568)
  * remove unrecongnized lintian tag

  [ Thomas Goirand ]
  * Add myself as uploader.
  * Add puppet-module-puppetlabs-mailalias-core as Recommends
    (Closes: #1050337).

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 18 Feb 2024 09:56:24 -0500
