=== debian/control ===
--- 
+++ 
@@ -5,31 +5,32 @@
 Uploaders:
  Louis-Philippe Véronneau <pollo@debian.org>,
  Jérôme Charaoui <jerome@riseup.net>,
+ Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  default-jdk-headless,
- facter (>= 4.0.44),
- hiera (>= 3.3.2),
+ gem2deb,
  javahelper,
  leiningen,
  libbeckon-clojure,
- libclj-time-clojure (>= 0.15.2),
+ libclj-time-clojure,
  libclojure-java (>= 1.11.1-2),
  libcomidi-clojure,
  libcommons-exec-java,
- libcommons-io-java (>= 2.8.0),
+ libcommons-io-java,
  libcommons-lang-java,
  libdujour-version-check-clojure,
- libjruby-utils-clojure (>= 4.0.3-3),
+ libjruby-utils-clojure (>= 5.0.1),
  libjson-simple-java (<= 3.0),
  libkitchensink-clojure (>= 3.2.1),
  liblambdaisland-uri-clojure,
  libliberator-clojure,
- libprismatic-schema-clojure (>= 1.1.12),
+ libprismatic-schema-clojure,
  libpuppetlabs-http-client-clojure (>= 2.1.0),
  libpuppetlabs-i18n-clojure (>= 0.9.2-2),
  libpuppetlabs-ring-middleware-clojure (>= 1.3.1-3),
- libraynes-fs-clojure (>= 1.5.2),
+ libraynes-fs-clojure,
+ librbac-client-clojure (>= 1.1.5-2),
  libring-basic-authentication-clojure,
  libring-mock-clojure <!nocheck>,
  libsemver-clojure,
@@ -48,8 +49,10 @@
  libyaml-snake-java (>= 1.33),
  maven-repo-helper,
  python3-docutils,
- puppet-agent (>= 7.22.0-2),
+ puppet-agent (>= 8~~),
+ puppet-agent (<< 9~~),
  rename,
+ ruby-concurrent (>= 1.2.2),
  ruby-deep-merge,
  ruby-fast-gettext,
  ruby-gettext,
@@ -69,37 +72,33 @@
 Architecture: all
 Depends:
  default-jre-headless,
- facter (>= 4.0.44),
- hiera (>= 3.3.2),
  jruby,
- libcomidi-clojure (>= 0.3.2),
- libcommons-io-java (>= 2.8.0),
- libjruby-utils-clojure (>= 4.0.3),
+ libcomidi-clojure,
+ libcommons-io-java,
+ libjruby-utils-clojure (>= 5.0.1),
  libkitchensink-clojure (>= 3.2.0),
- libprismatic-schema-clojure (>= 1.1.12),
+ libprismatic-schema-clojure,
  libpuppetlabs-http-client-clojure (>= 2.1.0),
  libpuppetlabs-i18n-clojure (>= 0.9.2),
  libpuppetlabs-ring-middleware-clojure (>= 1.3.1),
- libtrapperkeeper-authorization-clojure (>= 1.0.0-2),
- libtrapperkeeper-clojure (>= 3.1.0),
+ libtrapperkeeper-authorization-clojure,
+ libtrapperkeeper-clojure,
  libtrapperkeeper-metrics-clojure (>= 1.5.0),
- libtrapperkeeper-webserver-jetty9-clojure (>= 4.1.0-2),
- libraynes-fs-clojure (>= 1.5.2),
+ libtrapperkeeper-webserver-jetty9-clojure,
+ libraynes-fs-clojure,
+ librbac-client-clojure (>= 1.1.5),
  libssl-utils-clojure (>= 3.5.0),
  libyaml-snake-java (>= 1.33),
- puppet-agent (>= 7.21.0-2),
+ procps,
+ puppet-agent (>= 8~~),
+ puppet-agent (<< 9~~),
  ruby,
  ruby-puppet-resource-api (>= 1.8.14),
  ${rubyDepends},
  ${java:Depends},
  ${misc:Depends},
 Recommends:
- puppet-module-puppetlabs-augeas-core,
- puppet-module-puppetlabs-cron-core,
- puppet-module-puppetlabs-host-core,
- puppet-module-puppetlabs-mount-core,
- puppet-module-puppetlabs-selinux-core,
- puppet-module-puppetlabs-sshkeys-core,
+ puppet-module-puppetlabs-mailalias-core,
 Description: configuration management system, server
  Puppet is a configuration management system that allows you to define the
  state of your IT infrastructure, then automatically enforces the correct
