=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,10 @@
 export LEIN_OFFLINE=true
 NAME=puppetserver
 
-DEBIAN_GEMS=deep_merge fast_gettext hocon gettext locale puppetserver-ca text semantic_puppet
+# ruby gems to include in puppetserver's jruby environment
+JRUBY_GEMS=$(shell cd resources/ext/build-scripts && cat jruby-gem-list.txt mri-gem-list-no-dependencies.txt | cut -d' ' -f1)
 
-# used to generate dependencies on the upstream versions of these packages
-RUBY_PACKAGES=ruby-deep-merge ruby-fast-gettext ruby-gettext ruby-hocon ruby-locale ruby-puppetserver-ca-cli ruby-semantic-puppet ruby-text
-
-CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/slingshot.jar:/usr/share/java/clj-yaml.jar:/usr/share/java/snakeyaml-1.x.jar:/usr/share/java/commons-lang.jar:/usr/share/java/commons-io.jar:/usr/share/java/clj-time.jar:/usr/share/java/clj-semver.jar:/usr/share/java/schema.jar:/usr/share/java/fs.jar:/usr/share/java/liberator.jar:/usr/share/java/commons-exec.jar:/usr/share/java/metrics-core.jar:/usr/share/java/jruby-utils.jar:/usr/share/java/clj-shell-utils.jar:/usr/share/java/trapperkeeper.jar:/usr/share/java/trapperkeeper-status.jar:/usr/share/java/trapperkeeper-scheduler.jar:/usr/share/java/trapperkeeper-webserver-jetty9.jar:/usr/share/java/trapperkeeper-authorization.jar:/usr/share/java/trapperkeeper-comidi-metrics.jar:/usr/share/java/trapperkeeper-metrics.jar:/usr/share/java/trapperkeeper-filesystem-watcher.jar:/usr/share/java/kitchensink.jar:/usr/share/java/ssl-utils.jar:/usr/share/java/ring-middleware.jar:/usr/share/java/dujour-version-check.jar:/usr/share/java/http-client.jar:/usr/share/java/comidi.jar:/usr/share/java/i18n.jar:/usr/share/java/semver.jar:/usr/share/java/libtrapperkeeper-comidi-metrics-clojure.jar
+CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/slingshot.jar:/usr/share/java/snakeyaml-1.x.jar:/usr/share/java/commons-lang.jar:/usr/share/java/commons-io.jar:/usr/share/java/clj-time.jar:/usr/share/java/clj-semver.jar:/usr/share/java/schema.jar:/usr/share/java/fs.jar:/usr/share/java/liberator.jar:/usr/share/java/commons-exec.jar:/usr/share/java/metrics-core.jar:/usr/share/java/jruby-utils.jar:/usr/share/java/clj-shell-utils.jar:/usr/share/java/trapperkeeper.jar:/usr/share/java/trapperkeeper-status.jar:/usr/share/java/trapperkeeper-scheduler.jar:/usr/share/java/trapperkeeper-webserver-jetty9.jar:/usr/share/java/trapperkeeper-authorization.jar:/usr/share/java/trapperkeeper-comidi-metrics.jar:/usr/share/java/trapperkeeper-metrics.jar:/usr/share/java/trapperkeeper-filesystem-watcher.jar:/usr/share/java/kitchensink.jar:/usr/share/java/ssl-utils.jar:/usr/share/java/ring-middleware.jar:/usr/share/java/dujour-version-check.jar:/usr/share/java/http-client.jar:/usr/share/java/comidi.jar:/usr/share/java/i18n.jar:/usr/share/java/semver.jar:/usr/share/java/libtrapperkeeper-comidi-metrics-clojure.jar
 
 %:
 	dh $@ --with javahelper
@@ -26,14 +24,10 @@
 	lein jar
 
 execute_after_dh_auto_build:
-	# bundle gems shipped as component tarballs
-	mkdir -p target/vendored-jruby-gems
-	cp -a rubygem-*/gems target/vendored-jruby-gems
-	cp -a rubygem-*/specifications target/vendored-jruby-gems
 	# create symlink tree for vendored-jruby-gems
 	mkdir -p target/vendored-jruby-gems/gems
 	mkdir -p target/vendored-jruby-gems/specifications
-	$(foreach gem_name,$(DEBIAN_GEMS), \
+	$(foreach gem_name,$(JRUBY_GEMS), \
 		set -e; \
 		gem=$(shell ls -1 /usr/share/rubygems-integration/all/specifications | grep -Po "^$(gem_name)-[0-9\.]+(?=\.gemspec)"); \
 		ln -s /usr/share/rubygems-integration/all/specifications/$${gem}.gemspec target/vendored-jruby-gems/specifications; \
@@ -67,9 +61,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	# make hiera, facter and puppet gems available to the testsuite
+	# make facter and puppet gems available to the testsuite
 	# upstream uses git submodules here, but we can use Debian sources instead
-	for component in hiera facter puppet resource_api; do \
+	for component in facter puppet resource_api; do \
 		mkdir -p ruby/$${component}/lib; \
 		if [ "$$component" = "puppet" ]; then package=puppet-agent ; \
 		elif [ "$$component" = "resource_api" ]; then package=ruby-puppet-resource-api ; \
@@ -85,6 +79,11 @@
 	done
 	# testsuite looks for gems in this directory
 	cd target && ln -sf vendored-jruby-gems jruby-gem-home
+	# regenerate tls certificates used in https tests
+	cd dev-resources/puppetlabs/puppetserver && ( \
+		cp -a ruby/http_client_test ruby/http_client_test.save; \
+		cp -a certificate_authority_test/master/conf/ca certificate_authority_test/master/conf/ca.save; )
+	ruby $(CURDIR)/dev-resources/regen_certs.rb
 	# run unit and integration tests
 	PUPPETSERVER_HEAP_SIZE=6G lein test
 endif
@@ -118,13 +117,15 @@
 	jh_manifest -c "$(subst :, ,$(CLASSPATH))" -m puppetlabs.trapperkeeper.main usr/share/puppetserver/puppetserver-$(DEB_VERSION_UPSTREAM).jar
 
 override_dh_gencontrol:
-	# needed to tighten the binary Depends:
+	# tighten the binary Depends:
 	# due to the ruby gem symlinks, see bug #1029299
-	for dep in $(RUBY_PACKAGES); do \
-		ver=$$(dpkg-query -f '$${source:Upstream-Version}' -W $${dep}); \
-		ruby_depends="$${ruby_depends}, $${dep} (<< $${ver}.), $${dep} (>= $${ver}~~)"; \
+	echo "$(JRUBY_GEMS)"
+	for gem in $(JRUBY_GEMS); do \
+		package=$$(ruby -e "require 'gem2deb/package_name_mapping'; @mapping = Gem2Deb::PackageNameMapping.new(false); puts @mapping['$${gem}']") \
+		ver=$$(dpkg-query -f '$${source:Upstream-Version}' -W $${package}); \
+		ruby_depends="$${ruby_depends}, $${package} (<< $${ver}.), $${package} (>= $${ver}~~)"; \
 	done; \
-	dh_gencontrol -- -VrubyDepends="$${ruby_depends}" -VclojureAotDepends="$${aot_depends}"
+	dh_gencontrol -- -VrubyDepends="$${ruby_depends}"
 
 override_dh_installman:
 	mkdir debian/tmp/man
@@ -137,4 +138,10 @@
 override_dh_clean:
 	rm -f debian/maven-repo
 	rm -Rf target ruby
+	# cleanup regenerated certificates
+	-cd dev-resources/puppetlabs/puppetserver && ( \
+		test -f ruby/http_client_test.save && \
+		mv ruby/http_client_test.save ruby/http_client_test; \
+		test -f certificate_authority_test/master/conf/ca.save && \
+		mv certificate_authority_test/master/conf/ca.save certificate_authority_test/master/conf/ca; )
 	dh_clean -Xacceptance
