## puppetserver 8.7.0

=== debian/changelog ===
puppetserver (8.7.0-5) unstable; urgency=medium

  * d/patches: fix ftbfs with uncommon timezone

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 06 May 2025 12:36:52 -0400

puppetserver (8.7.0-4) unstable; urgency=medium

  * Rebuild for new version of ruby-concurrent (Closes: #1100569)
  * d/control: bump Standards-Version, no changes needed
  * d/tests: add missing net-tools dependency
  * d/tests: fix serverspec in certain environments
  * d/tests: add a test for the puppetserver ca cert

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 24 Mar 2025 18:20:09 -0400

puppetserver (8.7.0-3) unstable; urgency=medium

  * Rebuild for new version of ruby-concurrent (Closes: #1092567)
  * d/patches: improve regen_certs script (Closes: #1078635)
  * d/rules: improve post-build cleanup

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 03 Feb 2025 23:21:30 -0500

puppetserver (8.7.0-2) unstable; urgency=medium

  [ Anton Lundin ]
  * add a small delay in service unit's ExecStartPost (Closes: #1069162)

  [ Jérôme Charaoui ]
  * silence cron job if package removed
  * d/rules: fix snakeyaml jar filename in classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 22 Nov 2024 18:26:26 -0500

puppetserver (8.7.0-1) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * New upstream version 8.7.0
  * ship reportdir cleanup cron job
  * add manpage for new puppetserver prune subcommand
  * drop obsolete NEWS files and debian/gem-download.sh script
  * d/control:
    + add new binding packages to Suggests
    + bump libshell-utils-clojure dep
    + bump Standards-Version, no changes needed
  * d/manpages: update issue tracker url
  * d/patches: drop test cert regen patch merged upstream
  * d/patches: refresh for new upstream version
  * d/rules
    + adjust to new gem path used for tests
    + fix manpage generation for single-package
    + move gem symlinking logic to helper script
    - drop custom heap size for tests
    - drop obsolete cleanup step
  * d/watch: use recommended pattern for github tags

  [ Thomas Goirand ]
  * Remove transition packages puppet-master and puppet-master-passenger, make
    puppetserver Breaks+Replaces them to have them removed automatically.

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Nov 2024 16:05:02 -0500
