=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  libring-basic-authentication-clojure,
  libring-mock-clojure <!nocheck>,
  libsemver-clojure,
- libshell-utils-clojure (>= 1.0.2-3),
+ libshell-utils-clojure (>= 2.0.0),
  libslingshot-clojure,
  libssl-utils-clojure (>= 3.5.0-2),
  libtools-namespace-clojure,
@@ -48,9 +48,9 @@
  libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4),
  libyaml-snake-java (>= 1.33),
  maven-repo-helper,
+ puppet-agent (<< 9~~),
+ puppet-agent (>= 8~~),
  python3-docutils,
- puppet-agent (>= 8~~),
- puppet-agent (<< 9~~),
  rename,
  ruby-concurrent (>= 1.2.2),
  ruby-deep-merge,
@@ -62,7 +62,7 @@
  ruby-puppetserver-ca-cli (>= 2.3.6),
  ruby-semantic-puppet,
  ruby-text (>= 1.3.1),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/puppet-team/puppetserver.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppetserver
 Homepage: https://github.com/puppetlabs/puppetserver
@@ -81,24 +81,33 @@
  libpuppetlabs-http-client-clojure (>= 2.1.0),
  libpuppetlabs-i18n-clojure (>= 0.9.2),
  libpuppetlabs-ring-middleware-clojure (>= 1.3.1),
+ libraynes-fs-clojure,
+ librbac-client-clojure (>= 1.1.5),
+ libssl-utils-clojure (>= 3.5.0),
  libtrapperkeeper-authorization-clojure,
  libtrapperkeeper-clojure,
  libtrapperkeeper-metrics-clojure (>= 1.5.0),
  libtrapperkeeper-webserver-jetty9-clojure,
- libraynes-fs-clojure,
- librbac-client-clojure (>= 1.1.5),
- libssl-utils-clojure (>= 3.5.0),
  libyaml-snake-java (>= 1.33),
  procps,
+ puppet-agent (<< 9~~),
  puppet-agent (>= 8~~),
- puppet-agent (<< 9~~),
  ruby,
  ruby-puppet-resource-api (>= 1.8.14),
- ${rubyDepends},
  ${java:Depends},
  ${misc:Depends},
+ ${rubyDepends},
 Recommends:
  puppet-module-puppetlabs-mailalias-core,
+Suggests:
+ hiera-eyaml-puppetserver,
+ trocla-puppetserver,
+Breaks:
+ puppet-master,
+ puppet-master-passenger,
+Replaces:
+ puppet-master,
+ puppet-master-passenger,
 Description: configuration management system, server
  Puppet is a configuration management system that allows you to define the
  state of your IT infrastructure, then automatically enforces the correct
@@ -107,27 +116,3 @@
  This package contains the Ruby/Clojure server component which compiles
  configurations for a fleet of Puppet agent nodes. This implementation
  replaces the previous Ruby-only implementation known as Puppet Master.
-
-Package: puppet-master
-Section: oldlibs
-Architecture: all
-Depends: puppetserver
-Description: configuration management system, transitional package
- Puppet is a configuration management system that allows you to define the
- state of your IT infrastructure, then automatically enforces the correct
- state.
- .
- This is a transitional package provided to handle the transition from
- puppet-master to the puppetserver package. It can be safely removed.
-
-Package: puppet-master-passenger
-Section: oldlibs
-Architecture: all
-Depends: puppetserver
-Description: configuration management system, transitional package
- Puppet is a configuration management system that allows you to define the
- state of your IT infrastructure, then automatically enforces the correct
- state.
- .
- This is a transitional package provided to handle the transition from
- puppet-master-passenger to the puppetserver package. It can be safely removed.
